Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1647599 - [abrt] pipewire: loop_remove_source(): pipewire killed by SIGSEGV
Summary: [abrt] pipewire: loop_remove_source(): pipewire killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6f7471e4b8c1afd3e1816fab526...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-07 21:15 UTC by Štefan Gurský
Modified: 2018-11-24 02:29 UTC (History)
1 user (show)

Fixed In Version: pipewire-0.2.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-24 02:29:03 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (16.55 KB, text/plain)
2018-11-07 21:15 UTC, Štefan Gurský
no flags Details
File: cgroup (214 bytes, text/plain)
2018-11-07 21:15 UTC, Štefan Gurský
no flags Details
File: core_backtrace (5.95 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: dso_list (2.91 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: environ (1.54 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: exploitable (106 bytes, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: maps (18.48 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: mountinfo (3.78 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: open_fds (4.65 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details
File: var_log_messages (616 bytes, text/plain)
2018-11-07 21:16 UTC, Štefan Gurský
no flags Details

Description Štefan Gurský 2018-11-07 21:15:53 UTC
Description of problem:
I was using gnome Cheese with (built in, but reported as USB connected) laptop camera.
And while using it, I decided to block the camera in usbguard. Then I got this crash.
So, it is kind of self-inflicted crash, but what would happen with usb camera which got disconnected while in use?

Version-Release number of selected component:
pipewire-0.2.3-2.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/pipewire
crash_function: loop_remove_source
executable:     /usr/bin/pipewire
journald_cursor: s=75bad113f89f485fb1916fa3b786a5eb;i=ad31;b=a376c705e15c4d3ab10828429a563e48;m=79f425da;t=57a197bbd8466;x=348747379e05cc51
kernel:         4.18.17-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 loop_remove_source at ../spa/plugins/support/loop.c:189
 #1 do_remove_source at ../spa/plugins/v4l2/v4l2-utils.c:1473
 #2 loop_invoke at ../spa/plugins/support/loop.c:209
 #3 spa_v4l2_stream_off at ../spa/plugins/v4l2/v4l2-utils.c:1491
 #4 impl_node_send_command at ../spa/plugins/v4l2/v4l2-source.c:348
 #5 do_pause_node at ../src/pipewire/node.c:58
 #6 pause_node at ../src/pipewire/node.c:71
 #7 do_node_remove at ../src/pipewire/node.c:593
 #8 wakeup_func at ../spa/plugins/support/loop.c:280
 #9 source_event_func at ../spa/plugins/support/loop.c:468

Comment 1 Štefan Gurský 2018-11-07 21:15:58 UTC
Created attachment 1503147 [details]
File: backtrace

Comment 2 Štefan Gurský 2018-11-07 21:15:59 UTC
Created attachment 1503148 [details]
File: cgroup

Comment 3 Štefan Gurský 2018-11-07 21:16:00 UTC
Created attachment 1503149 [details]
File: core_backtrace

Comment 4 Štefan Gurský 2018-11-07 21:16:02 UTC
Created attachment 1503150 [details]
File: cpuinfo

Comment 5 Štefan Gurský 2018-11-07 21:16:03 UTC
Created attachment 1503151 [details]
File: dso_list

Comment 6 Štefan Gurský 2018-11-07 21:16:04 UTC
Created attachment 1503152 [details]
File: environ

Comment 7 Štefan Gurský 2018-11-07 21:16:06 UTC
Created attachment 1503153 [details]
File: exploitable

Comment 8 Štefan Gurský 2018-11-07 21:16:07 UTC
Created attachment 1503154 [details]
File: limits

Comment 9 Štefan Gurský 2018-11-07 21:16:09 UTC
Created attachment 1503155 [details]
File: maps

Comment 10 Štefan Gurský 2018-11-07 21:16:10 UTC
Created attachment 1503156 [details]
File: mountinfo

Comment 11 Štefan Gurský 2018-11-07 21:16:12 UTC
Created attachment 1503157 [details]
File: open_fds

Comment 12 Štefan Gurský 2018-11-07 21:16:13 UTC
Created attachment 1503158 [details]
File: proc_pid_status

Comment 13 Štefan Gurský 2018-11-07 21:16:15 UTC
Created attachment 1503159 [details]
File: var_log_messages

Comment 14 Fedora Update System 2018-11-22 11:18:18 UTC
pipewire-0.2.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a028f7bbe7

Comment 15 Fedora Update System 2018-11-23 02:55:56 UTC
pipewire-0.2.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a028f7bbe7

Comment 16 Fedora Update System 2018-11-24 02:29:03 UTC
pipewire-0.2.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.